<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- Copy everything not matched by another rule -->
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

  
  <xsl:template match="/ResourceManifest/Resources">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
      
 <SetDefaults path="res/balls/common/" idprefix="IMAGE_BALL_COMMON_" />
      <Image id="BODY1"	          path="body1"/>
      <Image id="BODY2"	          path="body2"/>
      <Image id="BODY3"	          path="body3"/>
      <Image id="BODY4"	          path="body4"/>
      <Image id="BODY5"	          path="body5"/>
      <Image id="BODY6"	          path="body6"/>
      <Image id="BODY7"	          path="body7"/>
	  <Image id="BODY8"	          path="body8"/>
	  <Image id="BODY9"	          path="body9"/>
	  <Image id="STRAND1"	          path="spring_goo1"/>
	  <Image id="STRAND2"	          path="spring_goo2"/>
	  <Image id="STRAND3"	          path="spring_goo3"/>
	  <Image id="STRAND4"	          path="spring_goo4"/>
	  <Image id="STRAND5"	          path="spring_goo5"/>
	  <Image id="STRAND6"	          path="spring_goo6"/>
	  <Image id="STRAND7"	          path="spring_goo7"/>
	  <Image id="STRAND8"	          path="spring_goo8"/>
	 
 
    </xsl:copy>
  </xsl:template>
</xsl:transform>

